XMLReader::next
XMLReader::read
XMLReader
PHP Manual

# XMLReader::open

(PHP 5 >= 5.1.2)

XMLReader::open — Set the URI containing the XML to parse

### Description

bool XMLReader::open ( string `$URI` [, string `$encoding` [, int `$options` ]] )

Set the URI containing the XML document to be parsed.

### Parameters

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
5.2.0 | `encoding` and `options` were added.

### See Also

- XMLReader::XML
- XMLReader::close

XMLReader::next
XMLReader::read
XMLReader
PHP Manual